Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class SamplerCreatorFactory

    java.lang.Object
      org.apache.jmeter.protocol.http.proxy.SamplerCreatorFactory

    public class SamplerCreatorFactory

extends Object

`SamplerCreator` factory

Constructor Summary
`SamplerCreatorFactory()`

Method Summary
`SamplerCreator` | `getSamplerCreator(HttpRequestHdr request, Map<String,String> pageEncodings, Map<String,String> formEncodings)` Gets `SamplerCreator` for content type, if none is found returns `DefaultSamplerCreator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamplerCreatorFactory

    public SamplerCreatorFactory()

Method Detail

### getSamplerCreator

    public SamplerCreator getSamplerCreator(HttpRequestHdr request,
                                            Map<String,String> pageEncodings,
                                            Map<String,String> formEncodings)

  Gets `SamplerCreator` for content type, if none is found returns `DefaultSamplerCreator`

  Parameters:
    `request` - `HttpRequestHdr`
    `pageEncodings` - Map pageEncodings
    `formEncodings` - Map formEncodings
  Returns:
    SamplerCreator

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.